%define	version	0.5.3
%define	release	%mkrel 2

%define	pname	crimson
%define	name	%{pname}-fields

Name:		%name
Version:	%{version}
Release:	%{release}
Summary:	Crimson Fields - Tactical war game with hexagonal grid
License:	GPL
Group:		Games/Strategy
URL:		http://crimson.seul.org/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Source:		http://crimson.seul.org/files/%{pname}-%{version}.tar.xz
BuildRequires:  %{_lib}SDL_mixer1.2-devel 
BuildRequires:  %{_lib}SDL_ttf-devel 
BuildRequires:  xsltproc
BuildRequires:  zlib1-devel
BuildRequires:  desktop-file-utils
Obsoletes: crimson-field
Provides: crimson-field

%description
Crimson Fields is a tactical war game in the tradition of Battle Isle. While
not being an exact clone, it tries to keep closer to the very first part of the
series than to the later ones, especially with regard to a rather simple rule
set and straight forward game play.


%prep
%setup -q -n %{pname}-%{version}

%build
%configure2_5x \
	--bindir=%{_gamesbindir} \
	--enable-cfed \
	--enable-bi2cf \
	--enable-comet

[ "%version" = "0.4.2" ] && tar --bzip2 -xf %{SOURCE1}
touch levels/*.lev

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std


desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="X-MandrivaLinux-MoreApplications-Games-Strategy;Game;StrategyGame" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*


install -d $RPM_BUILD_ROOT%{_iconsdir} \
           $RPM_BUILD_ROOT%{_miconsdir}
install -m644 gfx/crimson.png -D $RPM_BUILD_ROOT%{_liconsdir}/%{pname}.png
convert -geometry 32x32 gfx/crimson.png $RPM_BUILD_ROOT%{_iconsdir}/%{pname}.png
convert -geometry 16x16 gfx/crimson.png $RPM_BUILD_ROOT%{_miconsdir}/%{pname}.png

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf $RPM_BUILD_ROOT

%files 
%defattr(-,root,root)
%doc ChangeLog COPYING NEWS README 
%doc README.CoMET README.bi2cf
%{_iconsdir}/%{pname}.png
%{_miconsdir}/%{pname}.png
%{_liconsdir}/%{pname}.png
%{_gamesbindir}/crimson
%{_datadir}/%{pname}
%{_datadir}/pixmaps/*
%{_mandir}/man6/crimson.*
%{_datadir}/applications/crimson.desktop
%{_gamesbindir}/comet
%{_gamesbindir}/cfed
%{_gamesbindir}/bi2cf
%{_mandir}/man6/comet.*
%{_mandir}/man6/cfed.*
%{_mandir}/man6/bi2cf.*


%changelog
* Tue Oct 05 2011 Archie <pclinuxos.ph at gmail.com> 0.5.3-2pclos2011
- Rebuild for x86_64

* Thu Jun 03 2010 Texstar <texstar at gmail.com> 0.5.3-1pclos2010
- update for 2010 release

